
datablock AudioProfile(DB605EngineOnSound)
{
   filename    = "./DB605engineon2.wav";
   description = AudioDefault3d;
   preload = true;
};

datablock ParticleData(CorsairStartExhaustParticle)
{
   dragCoefficient      = 1;
   windCoefficient     = 3;
   gravityCoefficient   = 0.2;
   inheritedVelFactor   = -0.5;
   constantAcceleration = 0.0;
   spinRandomMin = -90;
   spinRandomMax = 90;
   lifetimeMS           = 400;
   lifetimeVarianceMS   = 350;
   textureName          = "base/data/particles/cloud";
   colors[0]     = "0.9 0.9 0.9 1";
   colors[1]     = "0.9 0.9 0.9 0.8";
   colors[2]     = "0.9 0.9 0.9 0";

   sizes[0]      = 1.5;
   sizes[1]      = 3;
   sizes[2]	 = 5;
	times[0]	= 0.0;
	times[1]	= 0.1;
	times[2]	= 1;

useInvAlpha = true;
};

datablock ParticleEmitterData(CorsairStartExhaustEmitter)
{
   ejectionPeriodMS = 12;
   periodVarianceMS = 2;
   ejectionVelocity = -25;
   velocityVariance = 1.5;
   ejectionOffset   = 0.5;
   thetaMin         = 0;
   thetaMax         = 25;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CorsairStartExhaustParticle";
};

datablock ParticleData(CorsairExhaustParticle)
{
   dragCoefficient      = 1;
   windCoefficient     = 3;
   gravityCoefficient   = 0.2;
   inheritedVelFactor   = -0.5;
   constantAcceleration = 0.0;
   spinRandomMin = -90;
   spinRandomMax = 90;
   lifetimeMS           = 400;
   lifetimeVarianceMS   = 350;
   textureName          = "base/data/particles/cloud";
   colors[0]     = "0.4 0.4 0.4 0.2";
   colors[1]     = "0.9 0.9 0.9 0.08";
   colors[2]     = "0.9 0.9 0.9 0";

   sizes[0]      = 1.5;
   sizes[1]      = 3;
   sizes[2]	 = 5;
	times[0]	= 0.0;
	times[1]	= 0.1;
	times[2]	= 1;

useInvAlpha = true;
};

datablock ParticleEmitterData(CorsairExhaustEmitter)
{
   ejectionPeriodMS = 12;
   periodVarianceMS = 2;
   ejectionVelocity = -30;
   velocityVariance = 1.5;
   ejectionOffset   = 0.5;
   thetaMin         = 0;
   thetaMax         = 25;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CorsairExhaustParticle";
};

datablock ShapeBaseImageData(CorsairExhaustImage1)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 3;
   rotation = "0 0 0";

	stateName[0]				= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateEmitter[0]				= CorsairStartExhaustEmitter;
	stateTimeoutValue[0]			= 0.4;
	stateSound[0]				= DB605EngineOnSound;
	stateEmitterTime[0]			= 0.4;

	stateName[1]				= "FireA";
	stateEmitter[1]				= CorsairExhaustEmitter;
	stateEmitterTime[1]			= 10000;

};





package CorsairExhaust
{
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);
		if (!isObject(%col)) return;

		if (%col.getDatablock().getName() $= "CorsairVehicle")
		{
			%col.unMountImage(0);
		}
	}
	function armor::onMount(%this, %obj, %col, %slot)
	{
		Parent::onMount(%this, %obj, %col, %slot);

		if (%col.getDatablock().getName() $= "CorsairVehicle")
		{
			%col.mountImage(CorsairExhaustImage1,0);
         		%col.playThread(0,start_up);
		}
	}
};

activatePackage(CorsairExhaust);


package CorsairExhaust2
{
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);
		if (!isObject(%col)) return;

		if (%col.getDatablock().getName() $= "CorsairBVehicle")
		{
			%col.unMountImage(0);
		}
	}
	function armor::onMount(%this, %obj, %col, %slot)
	{
		Parent::onMount(%this, %obj, %col, %slot);

		if (%col.getDatablock().getName() $= "CorsairBVehicle")
		{
			%col.mountImage(CorsairExhaustImage1,0);
        		%col.playThread(0,start_up);
		}
	}
};

activatePackage(CorsairExhaust2);