datablock AudioProfile(ArtilleryExplodeSound)
{
   filename    = "./ArtilleryExplosion.wav";
   description = AudioDefault3d;
   preload = true;
};

datablock AudioProfile(GrenadeTicSound)
{
   filename    = "./GrenadeTic.wav";
   description = AudioDefault3d;
   preload = false;
};

////////////////////////////////////

datablock ParticleData(CorsairBombTrailParticle)
{
	dragCoefficient		= 3.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 4000;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= false;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/dot"; 
	//animTexName		= "~/data/particles/dot";

	// Interpolation variables
	colors[0]	= "0.4 0.4 0.3 0.0";
	colors[1]	= "0.4 0.4 0.3 0.1";
	colors[2]	= "0.4 0.4 0.3 0.0";
	sizes[0]	= 0.7;
	sizes[1]	= 0.2;
	sizes[2]	= 0.1;
	times[0]	= 0.0;
	times[1]	= 0.1;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(CorsairBombTrailEmitter)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 2;

   ejectionVelocity = 0; //0.25;
   velocityVariance = 0; //0.10;

   ejectionOffset = 0;

   thetaMin         = 0.0;
   thetaMax         = 90.0;  

   particles = CorsairBombTrailParticle;
};

datablock ParticleData(CorsairBombExplosionParticle)
{
	dragCoefficient		= 3.5;
	windCoefficient		= 3.5;
	gravityCoefficient	= 0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 3900;
	lifetimeVarianceMS	= 900;
	spinSpeed		= 25.0;
	spinRandomMin		= -25.0;
	spinRandomMax		= 25.0;
	useInvAlpha		= true;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/cloud";
	//animTexName		= "~/data/particles/cloud";

	// Interpolation variables
   colors[0]     = "0.8 0.8 0.8 0.1";
   colors[1]     = "0.2 0.2 0.2 0.9";
   colors[2]     = "0.1 0.1 0.1 0.1";
   colors[3]     = "0.05 0.05 0.05 0.0";

	sizes[0]	= 5.0;
	sizes[1]	= 4.3;
   sizes[2]	= 4.5;
   sizes[3]	= 6.5;

	times[0]	= 0.0;
	times[1]	= 0.1;
   times[2]	= 0.8;
   times[3]	= 1.0;
};

datablock ParticleEmitterData(CorsairBombExplosionEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   lifeTimeMS	   = 81;
   ejectionVelocity = 40;
   velocityVariance = 10.0;
   ejectionOffset   = 1.0;
   thetaMin         = -30;
   thetaMax         = 30;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CorsairBombExplosionParticle";
};

datablock ParticleData(CorsairBombExplosionParticle2)
{
	dragCoefficient		= 1.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.5;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 4000;
	lifetimeVarianceMS	= 3990;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= true;    //false
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/dot"; 
	//animTexName		= "~/data/particles/dot";

	// Interpolation variables
   colors[0]     = "0.25 0.25 0.25 1";
   colors[1]     = "0.15 0.15 0.15 0.9";
   colors[2]     = "0.1 0.1 0.1 0.0";

	sizes[0]	= 0.3;
	sizes[1]	= 0.3;
   sizes[2]	= 0.3;

	times[0]	= 0.0;
	times[1]	= 0.1;
   times[2]	= 1.0;
};

datablock ParticleEmitterData(CorsairBombExplosionEmitter2)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   lifetimeMS       = 120;
   ejectionVelocity = 12;
   velocityVariance = 12.0;
   ejectionOffset   = 1.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CorsairBombExplosionParticle2";
};


datablock ParticleData(CorsairBombExplosionRingParticle)
{
   dragCoefficient      = 8;
   gravityCoefficient   = -0.5;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 100;
   lifetimeVarianceMS   = 10;
   textureName          = "base/data/particles/star1";
   spinSpeed        = 0.0;
   spinRandomMin        = 0.0;
   spinRandomMax        = 0.0;
   colors[0]     = "0.8 0.8 0.8 1";
   colors[1]     = "0.1 0.1 0.1 0.9";
   sizes[0]      = 18;
   sizes[1]      = 7;

   useInvAlpha = false;
};

datablock ParticleEmitterData(CorsairBombExplosionRingEmitter)
{
   lifeTimeMS = 50;

   ejectionPeriodMS = 20;
   periodVarianceMS = 0;
   ejectionVelocity = 0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CorsairBombExplosionRingParticle";
};

datablock ParticleData(CorsairBombExplosionRing2Particle)
{
	dragCoefficient      = 6;
	gravityCoefficient   = 0;
	windCoefficient		= 9.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 4350;
	lifetimeVarianceMS   = 135;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 25.0;
	spinRandomMin		= -25.0;
	spinRandomMax		= 25.0;
   colors[0]     = "0.8 0.8 0.8 0.1";
   colors[1]     = "0.2 0.2 0.2 0.4";
   colors[2]     = "0.1 0.1 0.1 0.1";
   colors[3]     = "0.05 0.05 0.05 0.0";

	sizes[0]	= 5.0;
	sizes[1]	= 4.3;
   sizes[2]	= 4.5;
   sizes[3]	= 3.5;

	times[0]	= 0.0;
	times[1]	= 0.1;
   times[2]	= 0.8;
   times[3]	= 1.0;

	useInvAlpha = true;
};
datablock ParticleEmitterData(CorsairBombExplosionRing2Emitter)
{
	lifeTimeMS = 90;

   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 25;
   velocityVariance = 2.0;
   ejectionOffset   = 0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CorsairBombExplosionRing2Particle";
};

datablock ParticleData(CorsairBombExplosionHazeParticle)
{
	dragCoefficient      = 2;
	gravityCoefficient   = 0;
	windCoefficient		= 9.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 4700;
	lifetimeVarianceMS   = 0;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
   	colors[0]     = "0.8 0.8 0.8 0.8";
   	colors[1]     = "0.2 0.2 0.2 0.1";
   	colors[2]     = "0.1 0.1 0.1 0.0";
	times[0]	= 0.0;
	times[1]	= 0.1;
   	times[2]	= 1.0;
	sizes[0]      = 3.0;
	sizes[1]      = 3.85;
	sizes[2]      = 4.35;

	useInvAlpha = true;
};
datablock ParticleEmitterData(CorsairBombExplosionHazeEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 27;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 85;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CorsairBombExplosionHazeParticle";

   useEmitterColors = true;
};

datablock ParticleData(CorsairBombExplosionCloudParticle)
{
	dragCoefficient		= 1.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 4800;
	lifetimeVarianceMS	= 00;
	spinSpeed		= 5.0;
	spinRandomMin		= -5.0;
	spinRandomMax		= 5.0;
	useInvAlpha		= true;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/cloud";
	//animTexName		= "~/data/particles/cloud";

	// Interpolation variables
   colors[0]     = "0.5 0.5 0.5 0.4";
   colors[1]     = "0.1 0.1 0.1 0.0";
	sizes[0]      = 8;
	sizes[1]      = 6;
};

datablock ParticleEmitterData(CorsairBombExplosionCloudEmitter)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 0;
   lifeTimeMS	   = 90;
   ejectionVelocity = 98;
   velocityVariance = 1.0;
   ejectionOffset   = 1.0;
   thetaMin         = 0;
   thetaMax         = 1;
   phiReferenceVel  = 0;
   phiVariance      = 90;
   overrideAdvance = false;
   particles = "CorsairBombExplosionCloudParticle";
};


datablock ParticleData(CorsairBombExplosionChunkParticle)
{
	dragCoefficient		= 0.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 1.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 5000;
	lifetimeVarianceMS	= 4990;
	spinSpeed		= 25.0;
	spinRandomMin		= -25.0;
	spinRandomMax		= 25.0;
	useInvAlpha		= true;    //false
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/chunk"; 
	//animTexName		= "~/data/particles/chunk";

	// Interpolation variables
   colors[0]     = "0.1 0.1 0.1 1";
   colors[1]     = "0.1 0.1 0.1 0.9";
   colors[2]     = "0.0 0.0 0.0 0.0";

	sizes[0]	= 0.4;
	sizes[1]	= 0.4;
   sizes[2]	= 0.2;

	times[0]	= 0.0;
	times[1]	= 0.1;
   times[2]	= 1.0;
};
datablock ParticleEmitterData(CorsairBombExplosionChunkEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   lifetimeMS       = 120;
   ejectionVelocity = 8;
   velocityVariance = 8.0;
   ejectionOffset   = 1.0;
   thetaMin         = -30;
   thetaMax         = 30;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CorsairBombExplosionChunkParticle";
};

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

datablock ExplosionData(CorsairBombsubExplosion)
{
   //explosionShape = "";
	soundProfile = "";

   lifeTimeMS = 50;

   emitter[0] = gravityRocketExplosionRingEmitter;
   emitter[1] = gravityRocketExplosionChunkEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 2;
   camShakeRadius = 17.0;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 1;
   lightStartColor = "0.3 0.6 0.7";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(CorsairBombExplosion)
{
   explosionShape = "Add-Ons/Weapon_Rocket_Launcher/explosionSphere1.dts";
   lifeTimeMS = 150;

   soundProfile = ArtilleryExplodeSound;
   
   emitter[0] = CorsairBombExplosionRingEmitter;
   emitter[1] = CorsairBombExplosionEmitter;
   emitter[2] = CorsairBombExplosionRing2Emitter;
   emitter[3] = CorsairBombExplosionHazeEmitter;
   emitter[4] = CorsairBombExplosionCloudEmitter;
   emitter[5] = ArtilleryExplosionChunkEmitter;
   //emitter[1] = "";
   //emitter[2] = "";
   //emitter[0] = "";

   subExplosion[0] = CorsairBombSubExplosion;

   particleEmitter = CorsairBombExplosionEmitter2;
   particleDensity = 90;
//   particleDensity = 0;
   particleRadius = 1.0;

   particleEmitter = CorsairBombExplosionChunkEmitter;
   particleDensity = 200;
//   particleDensity = 0;
   particleRadius = 1.0;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "10.0 8.5 10.0";
   camShakeAmp = "2.0 2.0 2.0";
   camShakeDuration = 1;
   camShakeRadius = 25.0;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 0;
   lightStartColor = "0.45 0.3 0.1";
   lightEndColor = "0 0 0";

   //impulse
   impulseRadius = 16;
   impulseForce = 2500;

   damageRadius = 10;
   radiusDamage = 250;

   uiName = "Tall Grenade Explosion";
};