datablock WheeledVehicleSpring(CorsairSpring)
{
   // Wheel suspension properties
   length = 0.35;			 // Suspension travel
   force = 1900; //2000;		 // Spring force
   damping = 200; //300;		 // Spring damping
   antiSwayForce = 1; //3;		 // Lateral anti-sway force
};

datablock WheeledVehicleSpring(CorsairBackSpring)
{
   // Wheel suspension properties
   length = 0.7;			 // Suspension travel
   force = 2300; //3000;		 // Spring force
   damping = 200; //300;		 // Spring damping
   antiSwayForce = 3; //3;		 // Lateral anti-sway force
};

///////////////////////////////////////////////////////////////

datablock WheeledVehicleTire(CorsairTire)
{
   // Tires act as springs and generate lateral and longitudinal
   // forces to move the vehicle. These distortion/spring forces
   // are what convert wheel angular velocity into forces that
   // act on the rigid body.
   shapeFile = "./CorsairTire.dts";
	
	mass = 10;
    radius = 1;
    staticFriction = 2;
   kineticFriction = 3; //5
   restitution = 0.5;	

   // Spring that generates lateral tire forces
   lateralForce = 2500;   //18000 7000
   lateralDamping = 600;  //4000 1000
   lateralRelaxation = 0.01;

   // Spring that generates longitudinal tire forces
   longitudinalForce = 3000;
   longitudinalDamping = 1000;
   longitudinalRelaxation = 0.01;
};

datablock WheeledVehicleTire(CorsairBackTire)
{
   // Tires act as springs and generate lateral and longitudinal
   // forces to move the vehicle. These distortion/spring forces
   // are what convert wheel angular velocity into forces that
   // act on the rigid body.
   shapeFile = "./stuntplanetire.dts";
	
	mass = 10;
    radius = 1;
    staticFriction = 2;
   kineticFriction = 2.5; //5
   restitution = 0.5;	

   // Spring that generates lateral tire forces
   lateralForce = 1800;
   lateralDamping = 400;
   lateralRelaxation = 0.01;

   // Spring that generates longitudinal tire forces
   longitudinalForce = 3000;
   longitudinalDamping = 1000;
   longitudinalRelaxation = 0.01;
};