datablock AudioProfile(CutlassBombExplosionSound)
{
   filename    = "./Cutlass_explode.wav";
   description = AudioDefault3d;
   preload = false;
};

////////////////////////////////////


datablock ParticleData(CutlassBombExplosionParticle)
{
	dragCoefficient		= 3.5;
	windCoefficient		= 3.5;
	gravityCoefficient	= 0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 1900;
	lifetimeVarianceMS	= 900;
	spinSpeed		= 25.0;
	spinRandomMin		= -25.0;
	spinRandomMax		= 25.0;
	useInvAlpha		= false;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/cloud";
	//animTexName		= "~/data/particles/cloud";

	// Interpolation variables
   colors[0]     = "1 1 1 0.1";
   colors[1]     = "0.9 0.5 0.0 0.9";
   colors[2]     = "0.1 0.05 0.025 0.1";
   colors[3]     = "0.1 0.05 0.025 0.0";

	sizes[0]	= 10.0;
	sizes[1]	= 8.6;
   sizes[2]	= 9.0;
   sizes[3]	= 13.0;

	times[0]	= 0.0;
	times[1]	= 0.1;
   times[2]	= 0.8;
   times[3]	= 1.0;
};

datablock ParticleEmitterData(CutlassBombExplosionEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   lifeTimeMS	   = 81;
   ejectionVelocity = 80;
   velocityVariance = 20.0;
   ejectionOffset   = 1.0;
   thetaMin         = -30;
   thetaMax         = 30;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CutlassBombExplosionParticle";
};

datablock ParticleData(CutlassBombExplosionParticle2)
{
	dragCoefficient		= 1.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= -0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 2000;
	lifetimeVarianceMS	= 1990;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= false;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/dot";
	//animTexName		= "~/data/particles/dot";

	// Interpolation variables
   colors[0]     = "1 0.5 0.0 1";
   colors[1]     = "0.9 0.5 0.0 0.9";
   colors[2]     = "1 1 1 0.0";

	sizes[0]	= 0.6;
	sizes[1]	= 0.6;
   sizes[2]	= 0.6;

	times[0]	= 0.0;
	times[1]	= 0.1;
   times[2]	= 1.0;
};

datablock ParticleEmitterData(CutlassBombExplosionEmitter2)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   lifetimeMS       = 120;
   ejectionVelocity = 24;
   velocityVariance = 24.0;
   ejectionOffset   = 1.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CutlassBombExplosionParticle2";
};


datablock ParticleData(CutlassBombExplosionRingParticle)
{
   dragCoefficient      = 8;
   gravityCoefficient   = -0.5;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 100;
   lifetimeVarianceMS   = 10;
   textureName          = "base/data/particles/star1";
   spinSpeed        = 0.0;
   spinRandomMin        = 0.0;
   spinRandomMax        = 0.0;
   colors[0]     = "1.0 1.0 1 1";
   colors[1]     = "0.9 0.5 0.0 0.9";
   sizes[0]      = 36;
   sizes[1]      = 14;

   useInvAlpha = false;
};

datablock ParticleEmitterData(CutlassBombExplosionRingEmitter)
{
   lifeTimeMS = 50;

   ejectionPeriodMS = 20;
   periodVarianceMS = 0;
   ejectionVelocity = 0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CutlassBombExplosionRingParticle";
};

datablock ParticleData(CutlassBombExplosionRing2Particle)
{
	dragCoefficient      = 4;
	gravityCoefficient   = 0;
	windCoefficient		= 9.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 2350;
	lifetimeVarianceMS   = 135;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 25.0;
	spinRandomMin		= -25.0;
	spinRandomMax		= 25.0;
   colors[0]     = "1 1 1 0.1";
   colors[1]     = "0.9 0.5 0.0 0.4";
   colors[2]     = "0.9 0.5 0.0 0.1";
   colors[3]     = "0.1 0.05 0.025 0.0";

	sizes[0]	= 10.0;
	sizes[1]	= 8.6;
   sizes[2]	= 9.0;
   sizes[3]	= 7.0;

	times[0]	= 0.0;
	times[1]	= 0.1;
   times[2]	= 0.8;
   times[3]	= 1.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(CutlassBombExplosionRing2Emitter)
{
	lifeTimeMS = 90;

   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 50;
   velocityVariance = 2.0;
   ejectionOffset   = 0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CutlassBombExplosionRing2Particle";
};

datablock ParticleData(CutlassBombExplosionHazeParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = 0;
	windCoefficient		= 9.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 2700;
	lifetimeVarianceMS   = 0;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
   	colors[0]     = "0.7 0.4 0.0 0.8";
   	colors[1]     = "0.4 0.15 0.025 0.1";
   	colors[2]     = "0.1 0.05 0.025 0.0";
	times[0]	= 0.0;
	times[1]	= 0.1;
   	times[2]	= 1.0;
	sizes[0]      = 6.0;
	sizes[1]      = 7.7;
	sizes[2]      = 8.7;

	useInvAlpha = true;
};
datablock ParticleEmitterData(CutlassBombExplosionHazeEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 50;
   velocityVariance = 2.0;
   ejectionOffset   = 0.0;
   thetaMin         = 85;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CutlassBombExplosionHazeParticle";

   useEmitterColors = true;
};

datablock ParticleData(CutlassBombExplosionCloudParticle)
{
	dragCoefficient		= 1.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 2800;
	lifetimeVarianceMS	= 00;
	spinSpeed		= 5.0;
	spinRandomMin		= -5.0;
	spinRandomMax		= 5.0;
	useInvAlpha		= true;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/cloud";
	//animTexName		= "~/data/particles/cloud";

	// Interpolation variables
   colors[0]     = "0.9 0.5 0.0 0.4";
   colors[1]     = "0.1 0.05 0.025 0.0";
	sizes[0]      = 32;
	sizes[1]      = 24;
};

datablock ParticleEmitterData(CutlassBombExplosionCloudEmitter)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 0;
   lifeTimeMS	   = 90;
   ejectionVelocity = 98;
   velocityVariance = 1.0;
   ejectionOffset   = 1.0;
   thetaMin         = 0;
   thetaMax         = 1;
   phiReferenceVel  = 0;
   phiVariance      = 90;
   overrideAdvance = false;
   particles = "CutlassBombExplosionCloudParticle";
};

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

datablock ExplosionData(CutlassBombsubExplosion)
{
   //explosionShape = "";
	soundProfile = "";

   lifeTimeMS = 50;

   emitter[0] = gravityRocketExplosionRingEmitter;
   emitter[1] = gravityRocketExplosionChunkEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 25.0;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 1;
   lightStartColor = "0.3 0.6 0.7";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(CutlassBombExplosion)
{
   explosionShape = "Add-Ons/Weapon_Rocket_Launcher/explosionSphere1.dts";
   lifeTimeMS = 150;

   soundProfile = tierFragGrenadeExplosionSound;
   
   emitter[0] = CutlassBombExplosionRingEmitter;
   emitter[1] = CutlassBombExplosionEmitter;
   emitter[2] = CutlassBombExplosionRing2Emitter;
   emitter[3] = CutlassBombExplosionHazeEmitter;
   emitter[4] = CutlassBombExplosionCloudEmitter;
   //emitter[1] = "";
   //emitter[2] = "";
   //emitter[0] = "";

   subExplosion[0] = CutlassBombSubExplosion;

   particleEmitter = CutlassBombExplosionEmitter2;
   particleDensity = 90;
//   particleDensity = 0;
   particleRadius = 1.0;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "7.0 8.0 7.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 30.0;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 0;
   lightStartColor = "0.45 0.3 0.1";
   lightEndColor = "0 0 0";

   //impulse
   impulseRadius = 18;
   impulseForce = 30;

   damageRadius = 20;
   radiusDamage = 1;

   uiName = " ";
};

datablock ParticleEmitterData(CutlassBombExplosionEmitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 4;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CutlassBombExplosionParticle";

   useEmitterColors = true;
};

datablock ExplosionData(CutlassBombExplosion)
{
   //explosionShape = "";
	soundProfile = "";

   lifeTimeMS = 50;

   emitter[0] = CutlassBombExplosionEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 1;
   lightStartColor = "0.3 0.6 0.7";
   lightEndColor = "0 0 0";
};