datablock ParticleData(FokkerExhaustParticle)
{
   dragCoefficient      = 1;
   windCoefficient     = 3;
   gravityCoefficient   = 0.2;
   inheritedVelFactor   = -0.5;
   constantAcceleration = 0.0;
   spinRandomMin = -90;
   spinRandomMax = 90;
   lifetimeMS           = 400;
   lifetimeVarianceMS   = 350;
   textureName          = "base/data/particles/cloud";
   colors[0]     = "0.9 0.9 0.9 0.5";
   colors[1]     = "0.9 0.9 0.9 0.25";
   colors[2]     = "0.9 0.9 0.9 0";

   sizes[0]      = 0.5;
   sizes[1]      = 1;
   sizes[2]	 = 2;
	times[0]	= 0.0;
	times[1]	= 0.1;
	times[2]	= 1;

useInvAlpha = true;
};

datablock ParticleEmitterData(FokkerExhaustEmitter)
{
   ejectionPeriodMS = 12;
   periodVarianceMS = 2;
   ejectionVelocity = -30;
   velocityVariance = 1.5;
   ejectionOffset   = 0.3;
   thetaMin         = 0;
   thetaMax         = 7;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "FokkerExhaustParticle";
};


datablock ShapeBaseImageData(FokkerExhaustImage1)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 3;
   rotation = "1 0 0 0";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 10000;
	stateEmitter[1]					= FokkerExhaustEmitter;
	stateEmitterTime[1]				= 10000;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function FokkerExhaustImage1::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}

package FokkerExhaust
{
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);
		if (!isObject(%col)) return;

		if (%col.getDatablock().getName() $= "HarpyVehicle")
		{
			%col.unMountImage(0);
		}
	}
	function armor::onMount(%this, %obj, %col, %slot)
	{
		Parent::onMount(%this, %obj, %col, %slot);

		if (%col.getDatablock().getName() $= "HarpyVehicle")
		{
			%col.mountImage(FokkerExhaustImage1,0);
         		%col.playThread(0,start_up);
		}
	}
};

activatePackage(FokkerExhaust);





