datablock AudioProfile(CorsairShotSound)
{
   filename    = "./CorsairCannonFire.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(CorsairBulletHit)
{
   filename    = "./CorsairBulletHit.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(DB605IdleSound)
{
   filename    = "./DB605idle.wav";
   description = AudioDefaultLooping3d;
   preload = true;
};

datablock AudioProfile(DB605FlySound)
{
   filename    = "./DB605flyloop.wav";
   description = AudioDefaultLooping3d;
   preload = true;
};

datablock AudioProfile(DB605EngineOnSound)
{
   filename    = "./DB605engineon2.wav";
   description = AudioDefault3d;
   preload = true;
};

datablock AudioProfile(DB605EngineOffSound)
{
   filename    = "./DB605engineoff.wav";
   description = AudioDefault3d;
   preload = true;
};







datablock ProjectileData(CorsairBombProjectile)
{
   projectileShapeName = "./CorsairBomb.dts";
   directDamage        = 100;
   directDamageType = $DamageType::TankShellDirect;
   radiusDamageType = $DamageType::TankShellRadius;
   impactImpulse	   = 1000;
   verticalImpulse	   = 1000;
   explosion		= CorsairBombExplosion;
   //explosion           = TankShellExplosion;
   //particleEmitter     = rocketTrailEmitter;

   brickExplosionRadius = 10;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 50;             
   brickExplosionMaxVolume = 60;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 120;  //max volume of bricks that we can destroy if they aren't connected to the ground (should always be >= brickExplosionMaxVolume)

   muzzleVelocity      = 0;
   velInheritFactor    = 1.0;

   armingDelay         = 0;
   lifetime            = 7500;
   fadeDelay           = 7500;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.20;
   isBallistic         = true;
   gravityMod = 1.0;

   hasLight    = true;
   lightRadius = 5.0;
   lightColor  = "1 0.5 0.0";

   explodeOnDeath = 1;

   uiName = "Corsair Bomb"; //naming it this way so it's next to the rocket in the alphabetized list
};





datablock ParticleData(CorsairTrailParticle)
{
	dragCoefficient		= -50.0;
	windCoefficient		= -70.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 300.0;
	constantAcceleration	= 300.0;
	lifetimeMS		= 500;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= false;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/dot";
	//animTexName		= "~/data/particles/dot";

	// Interpolation variables
	colors[0]	= "1 1 0.3 1";
	colors[1]	= "1 0.9 0.6 1";
	colors[2]	= "0.8 0.8 0.8 0";
	sizes[0]	= 0.0;
	sizes[1]	= 1.2;
	sizes[2]	= 0.0;
	times[0]	= 0.0;
	times[1]	= 0.5;
	times[2]	= 0.7;
};

datablock ParticleEmitterData(CorsairTrailEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;

   ejectionVelocity = 0.0; //0.25;
   velocityVariance = 0.0; //0.10;

   ejectionOffset = 0;

   thetaMin         = 0.0;
   thetaMax         = 90.0;  

   particles = CorsairTrailParticle;

   useEmitterColors = true;
};

datablock ProjectileData(CorsairTracerProjectile)
{
   directDamage        = 0;
   directDamageType    = $DamageType::Gun;
   radiusDamageType    = $DamageType::Gun;

   brickExplosionRadius = 0;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 10;
   brickExplosionMaxVolume = 1;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 2;  //max volume of bricks that we can destroy if they aren't connected to the ground

   impactImpulse	     = 100;
   verticalImpulse	  = 50;
//explosion           = gunExplosion;
   particleEmitter     = "CorsairTrailEmitter";

   muzzleVelocity      = 200;
   velInheritFactor    = 1;

   armingDelay         = 0;
   lifetime            = 200;
   fadeDelay           = 50;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.10;
   isBallistic         = true;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";
};





datablock ProjectileData(CorsairExplosionProjectile : tankshellProjectile)
{
   explosion           = tankShellExplosion;

   directDamageType  = $DamageType::VehicleExplosion;
   radiusDamageType  = $DamageType::VehicleExplosion;

   explodeOnDeath		= 1;

   armingDelay         = 0;
   lifetime            = 0;

   uiName = "";
};



datablock ParticleData(CorsairMGExplosionParticle)
{
	dragCoefficient      = 8;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 600;
	lifetimeVarianceMS   = 100;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0 0 0 1";
	colors[1]     = "0 0 0 0";
	sizes[0]      = 2;
	sizes[1]      = 5;

	useInvAlpha = true;
};
datablock ParticleEmitterData(CorsairMGExplosionEmitter)
{
   ejectionPeriodMS = 15;
   periodVarianceMS = 0;
   ejectionVelocity = 2;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CorsairMGExplosionParticle";

   useEmitterColors = true;

};


datablock ParticleData(CorsairMGExplosionRingParticle)
{
	dragCoefficient      = 8;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 50;
	lifetimeVarianceMS   = 35;
	textureName          = "base/data/particles/star1";
	spinSpeed		= 500.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "1 1 0.0 0.9";
	colors[1]     = "0.9 0.0 0.0 0.0";
	sizes[0]      = 2.5;
	sizes[1]      = 0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(CorsairMGExplosionRingEmitter)
{
	lifeTimeMS = 50;

   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CorsairMGExplosionRingParticle";

   useEmitterColors = true;
};

datablock ExplosionData(CorsairMGExplosion)
{
   //explosionShape = "";
	soundProfile = CorsairBulletHit;

   lifeTimeMS = 150;

   particleEmitter = CorsairMGExplosionEmitter;
   particleDensity = 5;
   particleRadius = 0.2;

   emitter[0] = CorsairMGExplosionRingEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 2;
   lightEndRadius = 2;
   lightStartColor = "0.5 0.8 0.9";
   lightEndColor = "0 0 0";
};

datablock ProjectileData(CorsairMGExplosionProjectile)
{
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 0;
   explosion           = CorsairMGExplosion;

   explodeOnDeath		= 1;

   armingDelay         = 0;
   lifetime            = 10;
};





datablock ParticleData(CorsairMGSmokeParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = 0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 200;
	lifetimeVarianceMS   = 55;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.5 0.5 0.5 0.1";
	colors[1]     = "0.5 0.5 0.5 0.0";
	sizes[0]      = 1.00;
	sizes[1]      = 3;

	useInvAlpha = false;
};
datablock ParticleEmitterData(CorsairMGSmokeEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   velocityVariance = 2;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CorsairMGSmokeParticle";

   uiName = "Corsair MG Smoke";
};

datablock ParticleData(CorsairDamageParticleA)
{
   dragCoefficient      = 1;
   windCoefficient     = 3;
   gravityCoefficient   = -0.7;
   inheritedVelFactor   = -0.5;
   constantAcceleration = 0.0;
   spinRandomMin = -90;
   spinRandomMax = 90;
   lifetimeMS           = 1500;
   lifetimeVarianceMS   = 300;
   textureName          = "base/data/particles/cloud";
   colors[0]     = "0.1 0.1 0.1 0.2";
   colors[1]     = "0 0 0 0.1";
   colors[2]     = "0 0 0 0";

   sizes[0]      = 1.5;
   sizes[1]      = 3;
   sizes[2]	 = 5;
	times[0]	= 0.0;
	times[1]	= 0.1;
	times[2]	= 1;

useInvAlpha = true;
};

datablock ParticleEmitterData(CorsairDamageEmitterA)
{
   ejectionPeriodMS = 12;
   periodVarianceMS = 2;
   ejectionVelocity = -5;
   velocityVariance = 1.5;
   ejectionOffset   = 0.5;
   thetaMin         = 0;
   thetaMax         = 5;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = CorsairDamageParticleA;   
   
};



datablock ParticleData(CorsairDamageParticleC)
{
   dragCoefficient      = 1;
   windCoefficient     = 3;
   gravityCoefficient   = -0.7;
   inheritedVelFactor   = -0.5;
   constantAcceleration = 0.0;
   spinRandomMin = -90;
   spinRandomMax = 90;
   lifetimeMS           = 1500;
   lifetimeVarianceMS   = 300;
   textureName          = "base/data/particles/cloud";
   colors[0]     = "0.1 0.1 0.1 0.8";
   colors[1]     = "0 0 0 0.4";
   colors[2]     = "0 0 0 0";

   sizes[0]      = 1.5;
   sizes[1]      = 3;
   sizes[2]	 = 5;
	times[0]	= 0.0;
	times[1]	= 0.1;
	times[2]	= 1;

useInvAlpha = true;
};

datablock ParticleEmitterData(CorsairDamageEmitterC)
{
   ejectionPeriodMS = 12;
   periodVarianceMS = 2;
   ejectionVelocity = -5;
   velocityVariance = 1.5;
   ejectionOffset   = 0.5;
   thetaMin         = 0;
   thetaMax         = 5;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = CorsairDamageParticleC;   
   
};




//This one is taken from Bushido's Combat Biplane script
datablock ParticleData(CorsairShotParticle)
{
    dragCoefficient      = 0;
    gravityCoefficient   = -0.5;
    inheritedVelFactor   = 0.2;
    constantAcceleration = 0.0;
    lifetimeMS           = 40;
    lifetimeVarianceMS   = 0;
    textureName          = "base/data/particles/star1";
    spinSpeed        = 10.0;
    spinRandomMin        = -500.0;
    spinRandomMax        = 500.0;

    colors[0]     = "0.9 0.9 0 0.3";
    colors[1]     = "1 0.5 0.2 0.5";
    colors[2]     = "1 0.5 0.2 0.0";

    sizes[0]      = 1.5;
   sizes[1]      = 0.80;
    sizes[2]      = 0.10;

   times[0] = 0.0;
   times[1] = 0.1;
   times[2] = 1.0;

    useInvAlpha = false;
};
datablock ParticleEmitterData(CorsairShotEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 106.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 1;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CorsairShotParticle";
};

datablock WheeledVehicleData(CorsairVehicle)
{
	category = "Vehicles";
	displayName = " ";
	shapeFile = "Add-ons/Vehicle_Corsair/Corsair1.dts"; //"~/data/shapes/skivehicle.dts"; //
	emap = true;
	minMountDist = 3;

	handsOnVehicleB4v21EDITED = 1;
   
   numMountPoints = 1;
   mountThread[0] = "sit";

	maxDamage = 200.00;
	destroyedLevel = 200.00;
	energyPerDamagePoint = 160;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	massCenter = "0 1 -2";
   //massBox = "2 5 1";

	maxSteeringAngle = 0.9785;  // Maximum steering angle, should match animation
	integration = 4;           // Force integration time: TickSec/Rate
	tireEmitter = VehicleTireEmitter; // All the tires use the same dust emitter

	// 3rd person camera settings
	cameraRoll = false;         // Roll the camera with the vehicle
	cameraMaxDist = 18;         // Far distance from vehicle
	cameraOffset = 5;        // Vertical offset from camera mount point
	cameraLag = 0.5;           // Velocity lag of camera
	cameraDecay = 0.75;        // Decay per sec. rate of velocity lag
	cameraTilt = 0.2;
   collisionTol = 0.1;        // Collision distance tolerance
   contactTol = 0.1;

	useEyePoint = false;  //change "false" to "true" to make 1st person view a relative 3rd person view	

	defaultTire	= CorsairTire;
	defaultSpring	= CorsairSpring;
	flatTire	= CorsairFlatTire;
	flatSpring	= CorsairFlatSpring;
    numWheels = 3;

	// Rigid Body
	mass = 200; //200
	density = 5.0;
	drag = 0.6;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;        // Impacts over this invoke the script callback
	softImpactSpeed = 10;       // Play SoftImpact Sound
	hardImpactSpeed = 15;      // Play HardImpact Sound
	groundImpactMinSpeed    = 10.0;
	// Engine
	engineTorque = 400; //450;       // Engine power
	engineBrake = 400;         // Braking when throttle is 0
	brakeTorque = 900;        // When brakes are applied
	maxWheelSpeed = 35;        // Engine scale by current speed / max speed

	rollForce		= 28000; //35000
	yawForce		= 700; //600
	pitchForce		= 400;
	rotationalDrag		= 0.5;

	// Energy
	maxEnergy = 100;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;

   isSled = false;

   forwardThrust		= 5300;//4700
	reverseThrust		= 2700;//2700
	lift			= 100;
	maxForwardVel		= 65;
	maxReverseVel		= 65;
	horizontalSurfaceForce	= 10;   //22 Horizontal center "wing" (provides "bite" into the wind for climbing/diving and turning)
	verticalSurfaceForce	= 20;  //27
	rollForce		= 22000; //22000
	yawForce		= 8700;  //12000
	pitchForce		= 10000;  //10000
	rotationalDrag		= 0.6;
	stallSpeed		= 30;

//   forwardThrust		= 2000;
//	reverseThrust		= 2000;
//	lift			= 100;
//	maxForwardVel		= 70;
//	maxReverseVel		= 70;
//	horizontalSurfaceForce	= 100;   // Horizontal center "wing" (provides "bite" into the wind for climbing/diving and turning)
//	verticalSurfaceForce	= 100; 
//	rollForce		= 6000;
//	yawForce		= 6000;
//	pitchForce		= 4000;
//	rotationalDrag		= 0.5;
//	stallSpeed		= 10;
//
//   forwardThrust		= 2500;
//	reverseThrust		= 500;
//	lift			= 15000;
//	maxForwardVel		= 60;
//	maxReverseVel		= 10;
//	horizontalSurfaceForce	= 500;   // Horizontal center "wing" (provides "bite" into the wind for climbing/diving and turning)
//	verticalSurfaceForce	= 500; 
//	rollForce		= 5000;
//	yawForce		= 5000;
//	pitchForce		= 5000;
//	rotationalDrag		= 0.1;
//	stallSpeed		= 10;

	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	//mediumSplashSound = "";
	//hardSplashSound = "";
	//exitSplashSound = "";
	
	// Sounds
	//   jetSound = ScoutThrustSound;
	//engineSound = idleSound;
	//squealSound = skidSound;
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
	//wheelImpactSound = slowImpactSound;

	//   explosion = VehicleExplosion;
	justcollided = 0;

   uiName = "Corsair Jabo";
	rideable = true;
		lookUpLimit = 0.55;
		lookDownLimit = 0.5;

	paintable = true;
   
   damageEmitter[0] = CorsairDamageEmitterA;
	damageEmitterOffset[0] = "0.0 2 0.4 ";
	damageLevelTolerance[0] = 0.50;

   damageEmitter[1] = CorsairDamageEmitterC;
	damageEmitterOffset[1] = "0.0 2 0.4 ";
	damageLevelTolerance[1] = 0.75;


   numDmgEmitterAreas = 3;

   //initialExplosionProjectile = VehicleExplosionProjectile;
   initialExplosionOffset = 0;         //offset only uses a z value for now

   burnTime = 0;

   finalExplosionProjectile = VehicleFinalExplosionProjectile;
   finalExplosionOffset = 0.5;          //offset only uses a z value for now


	minExplosionspeed = 14;

   minRunOverSpeed    = 2;   //how fast you need to be going to run someone over (do damage)
   runOverDamageScale = 5;   //when you run over someone, speed * runoverdamagescale = damage amt
   runOverPushScale   = 1.2; //how hard a person you're running over gets pushed

   // Advanced Steering
   steeringAutoReturn = false;
   // steeringAutoReturnRate = 0.9;
   // steeringAutoReturnMaxSpeed = 10;
   steeringUseStrafeSteering = false;
   // steeringStrafeSteeringRate = 0.1;
};












//Nearly everything down from here is taken quite directly from Bushido's combat biplane script, only slightly edited by me
datablock ShapeBaseImageData(CorsairMGLeftImage : gunImage)
{
   shapeFile = "base/data/shapes/empty.dts";

   mountPoint = 1;

   stateTimeoutValue[2] = 0.040;
   stateSound[2] = CorsairShotSound;
   stateEmitter[2] = CorsairShotEmitter;

   stateEmitter[3] = CorsairMGSmokeEmitter;
   stateTransitionOnTimeout[3] = "Ready";

    casing = GunShellDebris;
    shellExitDir        = "0 -3 -2.6";
    shellExitOffset     = "0 -5 -5";
    shellExitVariance   = 15.0;    
    shellVelocity       = 7.0;


   raycastWeaponRange = 300;
   raycastSpreadAmt = 0.0028;
   raycastSpreadCount = 1;
   raycastWeaponTargets = $TypeMasks::PlayerObjectType | $TypeMasks::StaticObjectType | $TypeMasks::TerrainObjectType | $TypeMasks::VehicleObjectType | $TypeMasks::FXBrickObjectType;
   raycastExplosionProjectile = CorsairMGExplosionProjectile;
   raycastExplosionBrickSound = gunHitSound;
   raycastExplosionPlayerSound = gunHitSound;
   raycastDirectDamage = 10;
   raycastDirectDamageType = CorsairDirect;
   raycastExplosionSound = gunHitSound;
   raycastTracerProjectile = CorsairTracerProjectile;
   raycastFromMuzzle = true;
};

datablock ShapeBaseImageData(CorsairMGRightImage : CorsairMGleftImage)
{
   stateTimeoutValue[2] = 0.040;

   raycastWeaponRange = 300;
   raycastSpreadAmt = 0.0015;
   raycastSpreadCount = 1;
   raycastDirectDamage = 10;

   mountPoint = 2;
};



datablock ShapeBaseImageData(CorsairBombImage : rocketLauncherImage)
{
   shapeFile = "base/data/shapes/empty.dts";

   mountPoint = 3;

   projectile = CorsairBombProjectile;

	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.1;
	stateTransitionOnTimeout[0]       = "Ready";
	//stateSound[0]					= weaponSwitchSound;

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "Fire";
	stateAllowImageChange[1]         = true;
   stateTransitionOnNoAmmo[1]       = "NoAmmo";
	stateSequence[1]	= "Ready";
	stateScript[1]                  = "OnReady";

	stateName[2]                    = "Fire";
	stateTransitionOnTimeout[2]     = "Smoke";
	stateTimeoutValue[2]            = 0.1;
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
	stateSequence[2]                = "Fire";
	stateScript[2]                  = "onFire";
	stateWaitForTimeout[2]			= true;
	//stateEmitter[2]					= rocketLauncherFlashEmitter;
	stateEmitterTime[2]				= 0.05;
	stateEmitterNode[2]				= tailNode;
	stateSound[2]					= CorsairBombDropSound;
   stateSequence[2]                = "Fire";
	//stateEjectShell[2]       = true;

	stateName[3] = "Smoke";
	//stateEmitter[3]					= rocketLauncherSmokeEmitter;
	//stateEmitterTime[3]				= 0.05;
	//stateEmitterNode[3]				= "muzzleNode";
	stateTimeoutValue[3]            = 0.1;
   stateSequence[3]                = "TrigDown";
	stateTransitionOnTimeout[3]     = "CoolDown";

   stateName[5] = "CoolDown";
   stateTimeoutValue[5]            = 10;
	stateTransitionOnTimeout[5]     = "Reload";
   stateSequence[5]                = "TrigDown";


	stateName[4]			= "Reload";
	stateTransitionOnTriggerUp[4]     = "Ready"; //NoAmmo
	stateSequence[4]	= "TrigDown";

   stateName[6]   = "NoAmmo";
   stateTransitionOnAmmo[6] = "Ready"; //NoAmmo
};



function CorsairBombImage::OnReady(%this,%obj,%slot)
{
		%obj.unhideNode(BombA);
		%obj.unhideNode(BombB);
		%obj.unhideNode(BombC);
}








function CorsairVehicle::onAdd(%this, %obj)
{ 	
   Parent::onAdd(%this, %obj);
		
	%obj.setWheelTire(0, CorsairTire);
	%obj.setWheelTire(1, CorsairTire);
	%obj.setWheelTire(2, CorsairBackTire);

	%obj.setWheelSpring(0, CorsairSpring);
	%obj.setWheelSpring(1, CorsairSpring);
	%obj.setWheelSpring(2, CorsairBackSpring);

	%obj.setWheelSteering(0,0);
	%obj.setWheelSteering(1,0);
	%obj.setWheelSteering(2,-1);

   %obj.mountImage(CorsairBombImage, 1);
   %obj.mountImage(CorsairMGLeftImage, 2);
   %obj.mountImage(CorsairMGRightImage, 3);
   

   %obj.prop = "off";
   CorsairCheck(%obj);
}



function CorsairCheck(%obj, %triggerNum)
{
   if(!isObject(%obj))
      return;


%speed = vectorLen(%obj.getVelocity());
   if(%speed < 2)
   {
   }
   else
   {
      %obj.mountImage(CorsairExhaustTrailImage1, 0);
   }

   %speed = vectorLen(%obj.getVelocity());
   if(%speed < 1 && %obj.getMountedObject(0) == 0)
   {
      if(%obj.prop !$= "off")
      {
         %obj.PlayThread(0,prop_still);
         %obj.playAudio(0, DB605EngineOffSound);
         %obj.prop = "off";
  	 %obj.unmountImage(2);
   	 %obj.unmountImage(3);
      }
   }
   else if(%speed < 45)
   {
      if(%obj.prop !$= "slow")
      {
         %obj.playThread(0,prop_slow);
         %obj.playAudio(0, DB605IdleSound);
         %obj.prop = "slow";
	 %obj.setWheelTire(0, CorsairTire);
	 %obj.setWheelTire(1, CorsairTire);
	 %obj.setWheelTire(2, CorsairBackTire);
  	 %obj.mountImage(CorsairMGLeftImage, 2);
   	 %obj.mountImage(CorsairMGRightImage, 3);
      }
   }
   else 
   {
      if(%obj.prop !$= "fast")
      {
         %obj.playThread(0,prop_fast);
         %obj.playAudio(0, DB605FlySound);
         %obj.prop = "fast";
	 %obj.setWheelTire(0, EmptyTire);
	 %obj.setWheelTire(1, EmptyTire);
	 %obj.setWheelTire(2, EmptyTire);
      }
   }
   schedule(1000, 0, "CorsairCheck", %obj);
}


function CorsairVehicle::onTrigger(%this, %obj, %triggerNum, %val)
{ 	
    %speed = vectorLen(%obj.getVelocity());

        if(%speed > 45 && %triggerNum == 2)
	{
		%obj.setImageTrigger(1, %val);
		%obj.hideNode(BombA);
		%obj.hideNode(BombB);
		%obj.hideNode(BombC);
	}
}


function WheeledVehicle::isFirstPerson(%this, %obj)
{
   return false;
}



function CorsairVehicle::onImpact(%this, %obj, %data)
{
   %speed = vectorLen(%obj.getVelocity());
   if(%speed < %obj.dataBlock.minExplosionSpeed)
      return;

   %p = new Projectile()
   {
      dataBlock = CorsairExplosionProjectile;
      initialPosition = %obj.getPosition();
      client = %obj.lastDamageClient;
      sourceClient = %obj.lastDamageClient;
   };
   MissionCleanup.add(%p);

   if(%obj.destroyed)
      return;

   %obj.setDamageLevel(%this.maxDamage);
   %obj.destroyed = 1;
   %obj.schedule(%this.burnTime, "finalExplosion");
   if(isObject(%obj.spawnBrick.client.minigame))
      %respawn = %obj.spawnBrick.client.minigame.vehicleReSpawnTime;
   %obj.spawnBrick.schedule(%respawn,"spawnVehicle");
}

function CorsairVehicle::onDriverLeave(%this, %obj)
{
   %obj.client = "";
   Parent::onDriverLeave(%this, %obj);
}

package CorsairPackage
{
   function Armor::onMount(%this,%obj,%col,%slot)
   {
      Parent::onMount(%this, %obj, %col, %slot);

      if(%col.getDataBlock() == CorsairVehicle.getId())
      {
         %col.client = %obj.client;

         %speed = vectorLen(%col.getVelocity());
         if(%speed < 1)
            %col.playAudio(0, DB605EngineOnSound);
      }
      Parent::onMount(%this,%obj,%col,%slot);

      if(%col.dataBlock $= CorsairVehicle)
      {
      }
   }

   function Armor::onTrigger(%this, %obj, %triggerNum, %val)
   {
      %mount = %obj.getObjectMount();
      if(isObject(%mount) && %mount.getDatablock() == CorsairVehicle.getID() && %triggerNum == 0)
      {
         %mount.setImageTrigger(2, %val);
         %mount.setImageTrigger(3, %val);
      }

      Parent::onTrigger(%this, %obj, %triggerNum, %val);

   }
   function armor::onUnMount(%this,%obj,%col,%slot)
   {
      Parent::onUnMount(%this,%obj,%col,%slot);

      if(%col.dataBlock $= CorsairVehicle)
      {

	 %obj.client.applyBodyParts();
      }
   }

};

activatePackage(CorsairPackage);























datablock WheeledVehicleData(CorsairBVehicle : CorsairVehicle)
{
	category = "Vehicles";
	displayName = " ";
	shapeFile = "Add-ons/Vehicle_Corsair/Corsair1NoBomb.dts"; //"~/data/shapes/skivehicle.dts"; //
	emap = true;
	minMountDist = 3;

	handsOnVehicleB4v21EDITED = 1;
   
   numMountPoints = 1;
   mountThread[0] = "sit";

	useEyePoint = false;



   uiName = "Corsair ";
};


function CorsairBVehicle::onAdd(%this, %obj)
{ 	
   Parent::onAdd(%this, %obj);
		
	%obj.setWheelTire(0, CorsairTire);
	%obj.setWheelTire(1, CorsairTire);
	%obj.setWheelTire(2, CorsairBackTire);

	%obj.setWheelSpring(0, CorsairSpring);
	%obj.setWheelSpring(1, CorsairSpring);
	%obj.setWheelSpring(2, CorsairBackSpring);

	%obj.setWheelSteering(0,0);
	%obj.setWheelSteering(1,0);
	%obj.setWheelSteering(2,-1);

   %obj.mountImage(CorsairMGLeftImage, 2);
   %obj.mountImage(CorsairMGRightImage, 3);
   

   %obj.prop = "off";
   CorsairBCheck(%obj);
}



function CorsairBCheck(%obj, %triggerNum)
{
   if(!isObject(%obj))
      return;


%speed = vectorLen(%obj.getVelocity());
   if(%speed < 2)
   {
   }
   else
   {
      %obj.mountImage(CorsairExhaustTrailImage2, 0);
   }

   %speed = vectorLen(%obj.getVelocity());
   if(%speed < 1 && %obj.getMountedObject(0) == 0)
   {
      if(%obj.prop !$= "off")
      {
         %obj.PlayThread(0,prop_still);
         %obj.playAudio(0, DB605EngineOffSound);
         %obj.prop = "off";
  	 %obj.unmountImage(2);
   	 %obj.unmountImage(3);
      }
   }
   else if(%speed < 45)
   {
      if(%obj.prop !$= "slow")
      {
         %obj.playThread(0,prop_slow);
         %obj.playAudio(0, DB605IdleSound);
         %obj.prop = "slow";
	 %obj.setWheelTire(0, CorsairTire);
	 %obj.setWheelTire(1, CorsairTire);
	 %obj.setWheelTire(2, CorsairBackTire);
  	 %obj.mountImage(CorsairMGLeftImage, 2);
   	 %obj.mountImage(CorsairMGRightImage, 3);
      }
   }
   else 
   {
      if(%obj.prop !$= "fast")
      {
         %obj.playThread(0,prop_fast);
         %obj.playAudio(0, DB605FlySound);
         %obj.prop = "fast";
	 %obj.setWheelTire(0, EmptyTire);
	 %obj.setWheelTire(1, EmptyTire);
	 %obj.setWheelTire(2, EmptyTire);
      }
   }

   schedule(1000, 0, "CorsairBCheck", %obj);
}


function CorsairBVehicle::onTrigger(%this, %obj, %triggerNum, %val)
{ 	

}


function WheeledVehicle::isFirstPerson(%this, %obj)
{
   return false;
}



function CorsairBVehicle::onImpact(%this, %obj, %data)
{
   %speed = vectorLen(%obj.getVelocity());
   if(%speed < %obj.dataBlock.minExplosionSpeed)
      return;

   %p = new Projectile()
   {
      dataBlock = CorsairExplosionProjectile;
      initialPosition = %obj.getPosition();
      client = %obj.lastDamageClient;
      sourceClient = %obj.lastDamageClient;
   };
   MissionCleanup.add(%p);

   if(%obj.destroyed)
      return;

   %obj.setDamageLevel(%this.maxDamage);
   %obj.destroyed = 1;
   %obj.schedule(%this.burnTime, "finalExplosion");
   if(isObject(%obj.spawnBrick.client.minigame))
      %respawn = %obj.spawnBrick.client.minigame.vehicleReSpawnTime;
   %obj.spawnBrick.schedule(%respawn,"spawnVehicle");
}

function CorsairBVehicle::onDriverLeave(%this, %obj)
{
   %obj.client = "";
   Parent::onDriverLeave(%this, %obj);
}

package CorsairBPackage
{
   function Armor::onMount(%this,%obj,%col,%slot)
   {
      Parent::onMount(%this, %obj, %col, %slot);

      if(%col.getDataBlock() == CorsairBVehicle.getId())
      {
         %col.client = %obj.client;

         %speed = vectorLen(%col.getVelocity());
         if(%speed < 1)
            %col.playAudio(0, DB605EngineOnSound);
      }
      Parent::onMount(%this,%obj,%col,%slot);

      if(%col.dataBlock $= CorsairBVehicle)
      {
         %obj.playThread(0,prop_slow);
      }
   }

   function Armor::onTrigger(%this, %obj, %triggerNum, %val)
   {
      %mount = %obj.getObjectMount();
      if(isObject(%mount) && %mount.getDatablock() == CorsairBVehicle.getID() && %triggerNum == 0)
      {
         %mount.setImageTrigger(2, %val);
         %mount.setImageTrigger(3, %val);
      }

      Parent::onTrigger(%this, %obj, %triggerNum, %val);

   }
   function armor::onUnMount(%this,%obj,%col,%slot)
   {
      Parent::onUnMount(%this,%obj,%col,%slot);

      if(%col.dataBlock $= CorsairBVehicle)
      {

	 %obj.client.applyBodyParts();
      }
   }

};

activatePackage(CorsairBPackage);







